Subject: Re: git whatchanged: fatal: refusing to run without --i-still-use-this

From: Ben Knoble <[email-masked]>
Date: Fri, 19 Sep 2025 20:36:28 -0400

> Le 19 sept. 2025 à 16:00, James Puleo <[email-masked]> a écrit :
> 
> Hello World,
> 
> I have git version 2.51.0. I encountered today entirely on my own this
> fatal: refusing to run without --i-still-use-this
> 
> Why I was using this command: There is a bit of code I wrote in a file
> since deleted (from the tree). I knew the path but not whichever ref
> last had the file I was looking for.

In that case:

   git log -- path/to/deleted/file

(or rev-list?) would get you there quickly.